const path = require("path");

module.exports = {
  entry: "./src/index.js",
  module: {
    rules: [
      {
        test: /\.(js)$/,
        exclude: /bick/,
        use: ["babel-loader"],
      },
    ],
  },
  resolve: {
    extensions: ["*", ".js"],
  },
  mode: "production",
  output: {
    path: path.resolve(__dirname, "dist"),
    filename: "ecco.js",
    clean: true,
    library: {
      name: "ecco",
      type: "umd",
    },
  },
};
